package themes

import "image/color"

var Catppuccin = map[string]map[string]color.RGBA{
	"default": {
		"rosewater": hexToRGBA("#f5e0dc"), "flamingo": hexToRGBA("#f2cdcd"), "pink": hexToRGBA("#f5c2e7"),
		"mauve": hexToRGBA("#cba6f7"), "red": hexToRGBA("#f38ba8"), "maroon": hexToRGBA("#eba0ac"),
		"peach": hexToRGBA("#fab387"), "yellow": hexToRGBA("#f9e2af"), "green": hexToRGBA("#a6e3a1"),
		"teal": hexToRGBA("#94e2d5"), "sky": hexToRGBA("#89dceb"), "sapphire": hexToRGBA("#74c7ec"),
		"blue": hexToRGBA("#89b4fa"), "lavender": hexToRGBA("#b4befe"), "text": hexToRGBA("#cdd6f4"),
		"subtext1": hexToRGBA("#bac2de"), "subtext0": hexToRGBA("#a6adc8"), "overlay2": hexToRGBA("#9399b2"),
		"overlay1": hexToRGBA("#7f849c"), "overlay0": hexToRGBA("#6c7086"), "surface2": hexToRGBA("#585b70"),
		"surface1": hexToRGBA("#45475a"), "surface0": hexToRGBA("#313244"), "base": hexToRGBA("#1e1e2e"),
		"mantle": hexToRGBA("#181825"), "crust": hexToRGBA("#11111b"),
	},
	"mocha": {
		"rosewater": hexToRGBA("#f5e0dc"), "flamingo": hexToRGBA("#f2cdcd"), "pink": hexToRGBA("#f5c2e7"),
		"mauve": hexToRGBA("#cba6f7"), "red": hexToRGBA("#f38ba8"), "maroon": hexToRGBA("#eba0ac"),
		"peach": hexToRGBA("#fab387"), "yellow": hexToRGBA("#f9e2af"), "green": hexToRGBA("#a6e3a1"),
		"teal": hexToRGBA("#94e2d5"), "sky": hexToRGBA("#89dceb"), "sapphire": hexToRGBA("#74c7ec"),
		"blue": hexToRGBA("#89b4fa"), "lavender": hexToRGBA("#b4befe"), "text": hexToRGBA("#cdd6f4"),
		"subtext1": hexToRGBA("#bac2de"), "subtext0": hexToRGBA("#a6adc8"), "overlay2": hexToRGBA("#9399b2"),
		"overlay1": hexToRGBA("#7f849c"), "overlay0": hexToRGBA("#6c7086"), "surface2": hexToRGBA("#585b70"),
		"surface1": hexToRGBA("#45475a"), "surface0": hexToRGBA("#313244"), "base": hexToRGBA("#1e1e2e"),
		"mantle": hexToRGBA("#181825"), "crust": hexToRGBA("#11111b"),
	},
	"macchiato": {
		"rosewater": hexToRGBA("#f4dbd6"), "flamingo": hexToRGBA("#f0c6c6"), "pink": hexToRGBA("#f5bde6"),
		"mauve": hexToRGBA("#c6a0f6"), "red": hexToRGBA("#ed8796"), "maroon": hexToRGBA("#ee99a0"),
		"peach": hexToRGBA("#f5a97f"), "yellow": hexToRGBA("#eed49f"), "green": hexToRGBA("#a6da95"),
		"teal": hexToRGBA("#8bd5ca"), "sky": hexToRGBA("#91d7e3"), "sapphire": hexToRGBA("#7dc4e4"),
		"blue": hexToRGBA("#8aadf4"), "lavender": hexToRGBA("#b7bdf8"), "text": hexToRGBA("#cad3f5"),
		"subtext1": hexToRGBA("#b8c0e0"), "subtext0": hexToRGBA("#a5adcb"), "overlay2": hexToRGBA("#939ab7"),
		"overlay1": hexToRGBA("#8087a2"), "overlay0": hexToRGBA("#6e738d"), "surface2": hexToRGBA("#5b6078"),
		"surface1": hexToRGBA("#494d64"), "surface0": hexToRGBA("#363a4f"), "base": hexToRGBA("#24273a"),
		"mantle": hexToRGBA("#1e2030"), "crust": hexToRGBA("#181926"),
	},
	"frappe": {
		"rosewater": hexToRGBA("#f2d5cf"), "flamingo": hexToRGBA("#eebebe"), "pink": hexToRGBA("#f4b8e4"),
		"mauve": hexToRGBA("#ca9ee6"), "red": hexToRGBA("#e78284"), "maroon": hexToRGBA("#ea999c"),
		"peach": hexToRGBA("#ef9f76"), "yellow": hexToRGBA("#e5c890"), "green": hexToRGBA("#a6d189"),
		"teal": hexToRGBA("#81c8be"), "sky": hexToRGBA("#99d1db"), "sapphire": hexToRGBA("#85c1dc"),
		"blue": hexToRGBA("#8caaee"), "lavender": hexToRGBA("#babbf1"), "text": hexToRGBA("#c6d0f5"),
		"subtext1": hexToRGBA("#b5bfe2"), "subtext0": hexToRGBA("#a5adce"), "overlay2": hexToRGBA("#949cbb"),
		"overlay1": hexToRGBA("#838ba7"), "overlay0": hexToRGBA("#737994"), "surface2": hexToRGBA("#626880"),
		"surface1": hexToRGBA("#51576d"), "surface0": hexToRGBA("#414559"), "base": hexToRGBA("#303446"),
		"mantle": hexToRGBA("#292c3c"), "crust": hexToRGBA("#232634"),
	},
	"latte": {
		"rosewater": hexToRGBA("#dc8a78"), "flamingo": hexToRGBA("#dd7878"), "pink": hexToRGBA("#ea76cb"),
		"mauve": hexToRGBA("#8839ef"), "red": hexToRGBA("#d20f39"), "maroon": hexToRGBA("#e64553"),
		"peach": hexToRGBA("#fe640b"), "yellow": hexToRGBA("#df8e1d"), "green": hexToRGBA("#40a02b"),
		"teal": hexToRGBA("#179299"), "sky": hexToRGBA("#04a5e5"), "sapphire": hexToRGBA("#209fb5"),
		"blue": hexToRGBA("#1e66f5"), "lavender": hexToRGBA("#7287fd"), "text": hexToRGBA("#4c4f69"),
		"subtext1": hexToRGBA("#5c5f77"), "subtext0": hexToRGBA("#6c6f85"), "overlay2": hexToRGBA("#7c7f93"),
		"overlay1": hexToRGBA("#8c8fa1"), "overlay0": hexToRGBA("#9ca0b0"), "surface2": hexToRGBA("#acb0be"),
		"surface1": hexToRGBA("#bcc0cc"), "surface0": hexToRGBA("#ccd0da"), "base": hexToRGBA("#eff1f5"),
		"mantle": hexToRGBA("#e6e9ef"), "crust": hexToRGBA("#dce0e8"),
	},
}
