package themes

import "image/color"

var Kanagawa = map[string]map[string]color.RGBA{
	"default": {
		"fujiWhite":     hexToRGBA("#DCD7BA"),
		"oldWhite":      hexToRGBA("#C8C093"),
		"sumiInk0":      hexToRGBA("#16161D"),
		"sumiInk1":      hexToRGBA("#1F1F28"),
		"sumiInk2":      hexToRGBA("#2A2A37"),
		"sumiInk3":      hexToRGBA("#363646"),
		"sumiInk4":      hexToRGBA("#54546D"),
		"waveBlue1":     hexToRGBA("#223249"),
		"waveBlue2":     hexToRGBA("#2D4F67"),
		"winterGreen":   hexToRGBA("#2B3328"),
		"winterYellow":  hexToRGBA("#49443C"),
		"winterRed":     hexToRGBA("#43242B"),
		"winterBlue":    hexToRGBA("#252535"),
		"autumnGreen":   hexToRGBA("#76946A"),
		"autumnRed":     hexToRGBA("#C34043"),
		"autumnYellow":  hexToRGBA("#DCA561"),
		"samuraiRed":    hexToRGBA("#E82424"),
		"roninYellow":   hexToRGBA("#FF9E3B"),
		"waveAqua1":     hexToRGBA("#6A9589"),
		"dragonBlue":    hexToRGBA("#658594"),
		"fujiGray":      hexToRGBA("#727169"),
		"springViolet1": hexToRGBA("#938AA9"),
		"oniViolet":     hexToRGBA("#957FB8"),
		"crystalBlue":   hexToRGBA("#7E9CD8"),
		"springViolet2": hexToRGBA("#9CABCA"),
		"springBlue":    hexToRGBA("#7FB4CA"),
		"lightBlue":     hexToRGBA("#A3D4D5"),
		"waveAqua2":     hexToRGBA("#7AA89F"),
		"springGreen":   hexToRGBA("#98BB6C"),
		"boatYellow1":   hexToRGBA("#938056"),
		"boatYellow2":   hexToRGBA("#C0A36E"),
		"carpYellow":    hexToRGBA("#E6C384"),
		"sakuraPink":    hexToRGBA("#D27E99"),
		"waveRed":       hexToRGBA("#E46876"),
		"peachRed":      hexToRGBA("#FF5D62"),
		"surimiOrange":  hexToRGBA("#FFA066"),
		"katanaGray":    hexToRGBA("#717C7C"),
	},
	"dragon": {
		"dragonBlack0":  hexToRGBA("#0d0c0c"),
		"dragonBlack1":  hexToRGBA("#12120f"),
		"dragonBlack2":  hexToRGBA("#1D1C19"),
		"dragonBlack3":  hexToRGBA("#181616"),
		"dragonBlack4":  hexToRGBA("#282727"),
		"dragonBlack5":  hexToRGBA("#393836"),
		"dragonBlack6":  hexToRGBA("#625e5a"),
		"dragonWhite":   hexToRGBA("#c5c9c5"),
		"dragonGreen":   hexToRGBA("#87a987"),
		"dragonGreen2":  hexToRGBA("#8a9a7b"),
		"dragonPink":    hexToRGBA("#a292a3"),
		"dragonOrange":  hexToRGBA("#b6927b"),
		"dragonOrange2": hexToRGBA("#b98d7b"),
		"dragonGray":    hexToRGBA("#a6a69c"),
		"dragonGray2":   hexToRGBA("#9e9b93"),
		"dragonGray3":   hexToRGBA("#7a8382"),
		"dragonBlue2":   hexToRGBA("#8ba4b0"),
		"dragonViolet":  hexToRGBA("#8992a7"),
		"dragonRed":     hexToRGBA("#c4746e"),
		"dragonAqua":    hexToRGBA("#8ea4a2"),
		"dragonAsh":     hexToRGBA("#737c73"),
		"dragonTeal":    hexToRGBA("#949fb5"),
		"dragonYellow":  hexToRGBA("#c4b28a"),
	},
	"lotus": {
		"lotusInk1":    hexToRGBA("#545464"),
		"lotusInk2":    hexToRGBA("#43436c"),
		"lotusGray":    hexToRGBA("#dcd7ba"),
		"lotusGray2":   hexToRGBA("#716e61"),
		"lotusGray3":   hexToRGBA("#8a8980"),
		"lotusWhite0":  hexToRGBA("#d5cea3"),
		"lotusWhite1":  hexToRGBA("#dcd5ac"),
		"lotusWhite2":  hexToRGBA("#e5ddb0"),
		"lotusWhite3":  hexToRGBA("#f2ecbc"),
		"lotusWhite4":  hexToRGBA("#e7dba0"),
		"lotusWhite5":  hexToRGBA("#e4d794"),
		"lotusViolet1": hexToRGBA("#a09cac"),
		"lotusViolet2": hexToRGBA("#766b90"),
		"lotusViolet3": hexToRGBA("#c9cbd1"),
		"lotusViolet4": hexToRGBA("#624c83"),
		"lotusBlue1":   hexToRGBA("#c7d7e0"),
		"lotusBlue2":   hexToRGBA("#b5cbd2"),
		"lotusBlue3":   hexToRGBA("#9fb5c9"),
		"lotusBlue4":   hexToRGBA("#4d699b"),
		"lotusBlue5":   hexToRGBA("#5d57a3"),
		"lotusGreen":   hexToRGBA("#6f894e"),
		"lotusGreen2":  hexToRGBA("#6e915f"),
		"lotusGreen3":  hexToRGBA("#b7d0ae"),
		"lotusPink":    hexToRGBA("#b35b79"),
		"lotusOrange":  hexToRGBA("#cc6d00"),
		"lotusOrange2": hexToRGBA("#e98a00"),
		"lotusYellow":  hexToRGBA("#77713f"),
		"lotusYellow2": hexToRGBA("#836f4a"),
		"lotusYellow3": hexToRGBA("#de9800"),
		"lotusYellow4": hexToRGBA("#f9d791"),
		"lotusRed":     hexToRGBA("#c84053"),
		"lotusRed2":    hexToRGBA("#d7474b"),
		"lotusRed3":    hexToRGBA("#e82424"),
		"lotusRed4":    hexToRGBA("#d9a594"),
		"lotusAqua":    hexToRGBA("#597b75"),
		"lotusAqua2":   hexToRGBA("#5e857a"),
		"lotusTeal1":   hexToRGBA("#4e8ca2"),
		"lotusTeal2":   hexToRGBA("#6693bf"),
		"lotusTeal3":   hexToRGBA("#5a7785"),
		"lotusCyan":    hexToRGBA("#d7e3d8"),
	},
}
